/*
	Advanved Dialogs v1.0.7 - Example program
	Copyright (C) 2005-2008 Jonas Gehring

	Advanced Dialogs is free software; you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Advanced Dialogs is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// C Source File
// Created 14.03.2005; 22:27:21


#include <tigcclib.h>					// Include all standard header files

#include <extgraph.h>					// Include ExtGraph v2.00beta5 by TI-Chess Team
#include <AdvDialogs.h>   				// Powered by Advanced Dialogs v1.0.7


// Main Function
void _main(void)
{
	LCD_BUFFER *screen;
	unsigned int i;
	
	// Allocate space for the LCD buffer
	if (((screen = malloc(sizeof(LCD_BUFFER))) == NULL))
	{
		return;
	}
	
	LCD_save(screen);						// Save LCD contents
	
	if (!GrayOn())
	{
		free(screen);
		return;
	}

	AdvDlgProgressBar("Advanced Dialogs", "Processing...", 90);		// Initialize ProgressBar
	
	for (i = 0; i < UINT_MAX; i++)		// Perform loop 65535 times
	{
		if (!(i%(UINT_MAX/90)))			// Add one step every 65535/90 time (so that we add 90 steps in total)
			AdvDlgProgressUp();
	}

	GrayOff();
	LCD_restore(screen);
	free(screen);	
	ST_helpMsg("http://www.boolsoft.org");
}

