/*
	Advanved Dialogs v1.0.7
	Copyright (C) 2005-2008 Jonas Gehring

	Advanced Dialogs is free software; you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Advanced Dialogs is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// Header File
// Created 23.11.2005; 03:11:19


#ifndef _INTERNAL_H
#define _INTERNAL_H



/*_________Enumerations and Text_________*/

// Messages for the buttons
extern const char *bttext[4];

// Describes valid Dialog elements
enum elementnames {AD_NONE, AD_TEXT, AD_INPUT, AD_CHECKBOX, AD_DROPDOWN, AD_TAB};




/*________________Globals________________*/

// Temporary screen buffer
extern void *tscr;

extern uchar tabcounter;
extern short elcounter;

// Button for a dialog
extern const unsigned short gbutton[18];



/*______________Proto-types______________*/


// Draws a tab of a Dialog
void AdvDlgDrawTab(ADVDIALOG *dialog, uchar tab);

// Draws the basic things (window, buttons, title)
void AdvDlgDrawBasic(ADVDIALOG *dialog);

// Activates a CheckBox
short AdvDlgCheckBox(ADVDIALOG *dialog, uchar tab, uchar line);

// Activates an InputBox
short AdvDlgInputBox(ADVDIALOG *dialog, uchar tab, uchar line);

// Activates a DropDown-menu
short AdvDlgDropDown(ADVDIALOG *dialog, uchar tab, uchar line);

// Frees a Bitmap
void FreeBitmap(ADVBITMAP *bitmap);

// Draws a Bitmap
void DrawBitmap(ADVDIALOG *dialog, ADVBITMAP *bitmap);



#endif



