/*
	Advanved Dialogs v1.0.7
	Copyright (C) 2005-2008 Jonas Gehring

	Advanced Dialogs is free software; you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Advanced Dialogs is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// C Source File
// Created 23.11.2005; 03:30:30


#include <extgraph.h>							// ExtGraph by TI-Chess Team

#include "AdvDialogs.h"							// This should be obvious ;)
#include "Internal.h"							// This header should not be included in programs using Advanced Dialogs


// Show a small message box
short AdvDlgMessageBox(const char *title, const char *msg, uchar textcolor, uchar button, INT_HANDLER tempint1)
{
	void *kbq = kbd_queue();
	short key;
	const short CX = (LCD_WIDTH - 160) >> 1;
	const short CY = (LCD_HEIGHT - 100) >> 1;		
	
	// Temporarily reinstall the original AUTO_INT_1
	if (tempint1 != DUMMY_HANDLER)
	{
		GraySetInt1Handler(tempint1);
	}
	
	SaveScreen();
	
	// Clear keyboard queue
	//ClearKbdQueue();
	
	// Draw dialog box
	GrayDrawRect(30+CX, 42+CY, 130+CX, 65+CY, COLOR_LIGHTGRAY, RECT_FILLED);
	GrayDrawRect(30+CX, 35+CY, 130+CX, 41+CY, COLOR_BLACK, RECT_FILLED);
	GrayFastDrawLine(31+CX, 66+CY, 131+CX, 66+CY, COLOR_BLACK);
	GrayFastDrawLine(131+CX, 36+CY, 131+CX, 66+CY, COLOR_BLACK);

	// Add title
	GrayDrawStrExt(0, 36+CY, title, A_XOR | A_CENTERED, F_4x6);

	// Add message
	GrayDrawColorString(TXTSTART+CX, 45+CY, msg, textcolor, TXT_STANDARD);
	
	// Add button
	if (button != B_NONE)
	{
		GraySprite16_RPLC_R(106+CX, 55+CY, 9, &gbutton[0], &gbutton[9], GRAYPLANES);
		GrayDrawStrExt(109-((strlen(bttext[button-1])-2)*2)+CX, 57+CY, bttext[button-1], A_NORMAL,  F_4x6);
	}

	GetKey(kbq, &key);
	
	// Set AUTO_INT_1 to dummy again
	if (tempint1 != DUMMY_HANDLER)
	{
		GraySetInt1Handler(DUMMY_HANDLER);
	}
	
	// Clear keyboard queue
	//ClearKbdQueue();
	
	RestoreScreen();
	
	return key;
}

