/*
	Advanved Dialogs v1.0.7
	Copyright (C) 2005-2008 Jonas Gehring

	Advanced Dialogs is free software; you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Advanced Dialogs is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// C Source File
// Created 29.08.2005; 22:57:55


#include <extgraph.h>							// ExtGraph by TI-Chess Team

#include "AdvDialogs.h"							// This should be obvious ;)


// Progress bar variables
static short progress, psteps;


// Progresses the progress bar
void AdvDlgProgressUp(void)
{
	if (progress > psteps)
	{
		return;
	}
	
	const short CX = (LCD_WIDTH - 160) >> 1;
	const short CY = (LCD_HEIGHT - 100) >> 1;

	// On step further
	progress++;
	
	// Draw progress bar
	if (36+((90/psteps)*progress)+CX < 125+CX)	
		GrayDrawRect(36+CX, 53+CY, 36+((90/psteps)*progress)+CX, 59+CY, COLOR_BLACK, RECT_FILLED);
	else
		GrayDrawRect(36+CX, 53+CY, 125+CX, 59+CY, COLOR_BLACK, RECT_FILLED);
}


// Initializes a progress bar
void AdvDlgProgressBar(const char *title, const char *msg, short steps)
{
	const short CX = (LCD_WIDTH - 160) >> 1;
	const short CY = (LCD_HEIGHT - 100) >> 1;
	
	// Draw dialog box
	GrayDrawRect(30+CX, 37+CY, 130+CX, 70+CY, COLOR_LIGHTGRAY, RECT_FILLED);
	GrayDrawRect(30+CX, 30+CY, 130+CX, 37+CY, COLOR_BLACK, RECT_FILLED);
	GrayFastDrawLine(31+CX, 71+CY, 131+CX, 71+CY, COLOR_BLACK);
	GrayFastDrawLine(131+CX, 31+CY, 131+CX, 71+CY, COLOR_BLACK);

	// Add title
	GrayDrawStrExt(0, 31+CY, title, A_XOR | A_CENTERED, F_4x6);
	
	// Add message
	GrayDrawStrExt(TXTSTART+CX, 42+CY, msg, A_NORMAL, F_4x6);
	
	// Draw progress bar
	GrayDrawRect(35+CX, 52+CY, 125+CX, 60+CY, COLOR_BLACK, RECT_EMPTY);
	
	// Set progress variables
	progress = 0;
	psteps = steps;
}



